import javax.microedition.lcdui.*;

public class SearchBox extends TextBox implements CommandListener
{ 
    XMLBrowser  browser;
    Displayable parent;
    XMLElement  elem;

    SearchBox(XMLElement elem, XMLBrowser browser, Displayable parent) { 
        super(browser.locale.getResource("Search"), "", 256, TextField.ANY);       
        this.elem = elem;
        this.parent = parent;
        this.browser = browser;
        setCommandListener(this);
        addCommand(browser.SEARCH_CMD);
        addCommand(browser.BACK_CMD);
        Display.getDisplay(browser).setCurrent(this);
    }

    public void commandAction(Command c, Displayable d) 
    {    
        if (c == browser.SEARCH_CMD) {
            new ElementList(browser.locale.getResource("Search result"),
                            elem.search(getString()), browser, this);
        } else { 
            Display.getDisplay(browser).setCurrent(parent);
        }
    }
}
    
